@use "../../../colors";

mat-drawer-container {
  height: 100%;
}

nav {
  position: fixed;
  display: flex;
  background-color: colors.$medium;
  width: 100%;
  height: 50px;
  gap: 5px;
  padding: 5px;
  z-index: 999;

  #expand {
    display: none;
  }

  #name img {
    height: 40px;
    width: auto;
  }

  #profile img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
  }

  #header-links {
    margin-inline: auto;

    a {
      font-size: 17px;
      color: colors.$text;
      text-decoration: none;
      line-height: 40px;
      margin-inline: 10px;

      position: relative;

      &:before {
        content: "";
        position: absolute;
        width: 100%;
        height: 2px;
        bottom: 0;
        left: 0;
        background-color: #FFF;
        visibility: hidden;
        transform: scaleX(0);
        transform-origin: left;
        transition: all 0.3s ease-in-out;
      }

      &:hover:before, &.active:before {
        visibility: visible;
        transform: scaleX(1);
      }
    }
  }

  @media screen and (max-width: 700px) {
    #profile {
      margin-left: auto;
    }

    #expand {
      display: block;
    }

    #header-links {
      display: none;
    }
  }
}

mat-drawer {
  width: 70vw;
  max-width: 250px;
  background-color: colors.$medium;

  #logo {
    height: 48px;
    margin: 20px;
  }

  #sidebar-links {
    display: flex;
    gap: 12px;
    margin-block: 12px;
    margin-inline: 24px;
    flex-direction: column;

    a {
      height: 48px;
      display: flex;
      text-decoration: none;

      img {
        height: 36px;
        width: auto;
        margin-right: 16px;
        margin-top: 6px;
      }

      span {
        line-height: 48px;
        font-size: 16px;
      }
    }
  }
}

#content {
  width: 100vw;
  height: calc(100vh - 50px);
  margin-top: 50px;
  overflow-y: auto;
  overflow-x: hidden;
  background-size: cover;
  position: relative;

  background-image: url("/assets/images/backgrounds/programming.jpeg");
}
